Subject: [Pce] [Technical Errata Reported] RFC8231 (5970)

From: RFC Errata System <[email-masked]>
Date: Fri, 31 Jan 2020 02:06:16 -0800 (PST)

The following errata report has been submitted for RFC8231,
"Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5970

--------------------------------------
Type: Technical
Reported by: Subham Burnwal <[email-masked]>

Section: 8.5

Original Text
-------------
19       Invalid Operation

                Error-value
                1:   Attempted LSP Update Request for a non-delegated
                     LSP.  The PCEP-ERROR object is followed by the LSP
                     object that identifies the LSP.

Corrected Text
--------------
19       Invalid Operation

                Error-value
                1:   Attempted LSP Update Request for a non-delegated
                     LSP.

   OR

19       Invalid Operation

                Error-value
                1:   Attempted LSP Update Request for a non-delegated
                     LSP.  The PCEP-ERROR object is followed by the SRP object.

Notes
-----
By referring RFC 8231 Section 6.3. The PCErr Message:
    LSP Object is not part of PCErr message so for Error Type:19, Error value:1 string need to be changed to either of the following.

"Attempted LSP Update Request for a non-delegated LSP."
 OR
"Attempted LSP Update Request for a non-delegated LSP.  The PCEP-ERROR object is followed by the SRP object."

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8231 (draft-ietf-pce-stateful-pce-21)
--------------------------------------
Title               : Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE
Publication Date    : September 2017
Author(s)           : E. Crabbe, I. Minei, J. Medved, R. Varga
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG